import { SubmitValue } from '@oinone/kunlun-engine';
import { FormTextFieldWidget } from '../FormTextFieldWidget';
export declare class FormTextDomainGeneratorFieldWidget extends FormTextFieldWidget {
    initialize(props: any): this;
    private get exps();
    private set _exps(value);
    private _ExpsChange;
    private fields;
    private ModelChange;
    private newExp;
    private changeField;
    private changeOpt;
    private changeValue;
    private changeConnect;
    private deleteExp;
    private resolveDomainExp;
    private resolveComplexDomainExp;
    submit(submitValue: SubmitValue): import("@oinone/kunlun-shared").ReturnPromise<import("@oinone/kunlun-engine").SubmitRelationValue | Record<string, unknown> | undefined, import("@oinone/kunlun-engine").SubmitRelationValue | Record<string, unknown> | undefined>;
    validator(): Promise<import("../../../..").ValidatorInfo>;
}
